## glite-lb-logger-msg 1.1.3

=== Makefile ===
# defaults
top_srcdir=..
stagedir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-logger-msg
version=0.0.0
PREFIX=/opt/glite
sysconfdir=/opt/glite/etc

nothrflavour=gcc32
thrflavour=gcc32pthr

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

CC=gcc
CXX=gcc

VPATH:=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/config

VERSION=-DVERSION=\"GLite-${version}\"

ACTIVEMQ_CFLAGS?=`PKG_CONFIG_PATH=${activemq_prefix}/${libdir}/pkgconfig pkg-config --cflags activemq-cpp`
ACTIVEMQ_LIBS?=-L${activemq_prefix}/${libdir} -lactivemq-cpp

CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include

DEBUG:=-g -O0
CFLAGS:=${CFLAGS} ${DEBUG} \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src \
	${ACTIVEMQ_CFLAGS} \
	-D_GNU_SOURCE \
	${COVERAGE_FLAGS} \
	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} 

LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
	${COVERAGE_FLAGS} 

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS}
LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
INSTALL:=libtool --mode=install install
SOLINK:=libtool --mode=link ${CXX} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}

#ifneq (${expat_prefix},/usr)
#	EXPAT_LIBS:=-L${expat_prefix}/lib
#endif
#EXPAT_LIBS:=${EXPAT_LIBS} -lexpat
#
#EXT_LIBS:= ${EXPAT_LIBS}

HDRS:=

COMMON_LIB:=

EXT_LIB:=${ACTIVEMQ_LIBS}

GLITE_GSS_LIB:=

PLUGIN_OBJS:=activemq_cpp_plugin.o
PLUGIN_LOBJS:=${PLUGIN_OBJS:.o=.lo}
PLUGIN_LIB:=activemq_cpp_plugin.la

EXAMPLES=glite-lb-cmsclient

SCRIPTS_SRC=msg.cron.in msg-config.in
SCRIPTS=${SCRIPTS_SRC:.in=.new}

ifeq (${thrflavour},)
default_flavour=
else
default_flavour=_${nothrflavour}
endif

default: all 

all compile: ${PLUGIN_LIB} ${EXAMPLES} ${SCRIPTS}

${PLUGIN_LIB}: ${PLUGIN_LOBJS}
	${SOLINK} -o $@ ${PLUGIN_LOBJS} ${EXT_LIB} -lglite_lb_common${default_flavour} -lglite_jobid -lglite_lbu_log

${MAN_GZ}: ${MAN}
	rm -f ${MAN_GZ} ${MAN}
	cp $? .
	gzip -f $(notdir $?)

glite-lb-cmsclient: cmsclient.o
	$(CC) $< ${EXT_LIB} -o $@

man: ${MAN_GZ}

stage: compile
	$(MAKE) install PREFIX=${stagedir} 

check: 
# do nothing until test/ is really added to CVS
# check.ll check.il

#check.ll: logd_proto_test.o ll_test.o
#	${LINKXX} -o $@ ${COMMON_LIB}_${nothrflavour} ${EXT_LIBS} ${TEST_LIBS} $+
#	./check.ll

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/cron.d
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 755 ${PLUGIN_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 755 ${EXAMPLES} ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
	${INSTALL} -m 644 ${top_srcdir}/config/msg.conf.example ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
	${INSTALL} -m 755 ${top_srcdir}/src/msg-brokers ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-brokers
	${INSTALL} -m 755 msg-config.new ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-config
	${INSTALL} -m 644 msg.cron.new ${DESTDIR}${PREFIX}${sysconfdir}/cron.d/glite-lb-logger-msg.cron

%.lo %.o: %.cpp
	${COMPILEXX} -c $< -o $@

%.new: %.in
	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' $< > $@

clean:
	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES}

distclean:
	rm -rvf Makefile.inc *.spec debian/

=== debian/changelog ===
glite-lb-logger-msg (1.1.3-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:41:45 +0200

=== debian/control ===
Source: glite-lb-logger-msg
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), activemq-cpp-dev, chrpath, glite-lb-logger-dev, libcppunit-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-logger-msg
Section: misc
Architecture: any
Depends: glite-lb-logger, ${shlibs:Depends}, ${misc:Depends}
Description: notification->msg plugin
 Plugin for delivering L&B notification messages into the messaging
 infrastructure.

Package: glite-lb-logger-msg-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-logger-msg (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B logger MSG plugin debugging symbols
 This package contains debugging symbols for gLite L&B logger MSG plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.logger-msg
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg-1.1.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-logger-msg-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-logger-msg 1.1.4

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 version=${module.version}
 
 CC=gcc
-CXX=gcc
+CXX=g++
 
 VPATH:=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/config
 
@@ -90,7 +90,7 @@
 	gzip -f $(notdir $?)
 
 glite-lb-cmsclient: cmsclient.o
-	$(CC) $< ${EXT_LIB} -o $@
+	$(CXX) $< ${EXT_LIB} -o $@
 
 man: ${MAN_GZ}

=== debian/changelog ===
glite-lb-logger-msg (1.1.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:28:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg-1.1.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg-1.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-logger-msg 1.2.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 nothrflavour=gcc32
 thrflavour=gcc32pthr
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -21,21 +23,32 @@
 
 VPATH:=${top_srcdir}/src:${top_srcdir}/interface:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/config
 
+SOURCES=\
+	config/msg.* \
+	examples/*.cpp \
+	project/il.conf \
+	src/*.cpp src/msg-* \
+	LICENSE Makefile
+SOURCES_EXEC=src/msg-brokers
+
 VERSION=-DVERSION=\"GLite-${version}\"
 
-ACTIVEMQ_CFLAGS?=`PKG_CONFIG_PATH=${activemq_prefix}/${libdir}/pkgconfig pkg-config --cflags activemq-cpp`
-ACTIVEMQ_LIBS?=-L${activemq_prefix}/${libdir} -lactivemq-cpp
+ACTIVEMQ_CPP_CFLAGS?=`${activemq_prefix}/bin/activemqcpp-config --cflags`
+ACTIVEMQ_CPP_LIBS?=`${activemq_prefix}/bin/activemqcpp-config --libs`
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
 CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+
 DEBUG:=-g -O0
-CFLAGS:=${CFLAGS} ${DEBUG} \
+CFLAGS:=${DEBUG} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src \
-	${ACTIVEMQ_CFLAGS} \
+	${ACTIVEMQ_CPP_CFLAGS} \
 	-D_GNU_SOURCE \
 	${COVERAGE_FLAGS} \
-	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} 
+	${VERSION} ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} \
 	${COVERAGE_FLAGS} 
@@ -58,7 +71,7 @@
 
 COMMON_LIB:=
 
-EXT_LIB:=${ACTIVEMQ_LIBS}
+EXT_LIB:=${ACTIVEMQ_CPP_LIBS}
 
 GLITE_GSS_LIB:=
 
@@ -76,8 +89,6 @@
 else
 default_flavour=_${nothrflavour}
 endif
-
-default: all 
 
 all compile: ${PLUGIN_LIB} ${EXAMPLES} ${SCRIPTS}
 
@@ -127,7 +138,10 @@
 	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' $< > $@
 
 clean:
-	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES}
+	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES} ${SCRIPTS}
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
+
+.PHONY: default all compile man stage check install clean distclean dist distcheck

=== debian/changelog ===
glite-lb-logger-msg (1.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg-1.1.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-logger-msg; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-logger-msg 1.2.8

=== debian/changelog ===
glite-lb-logger-msg (1.2.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-logger-msg
 Section: misc
 Architecture: any
-Depends: glite-lb-logger, ${shlibs:Depends}, ${misc:Depends}
+Depends: glite-lb-logger, libnet-ldap-perl, ${shlibs:Depends}, ${misc:Depends}
 Description: notification->msg plugin
  Plugin for delivering L&B notification messages into the messaging
  infrastructure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-logger-msg
p_dbg=glite-lb-logger-msg-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.logger-msg
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status *.spec
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf debian/tmp/usr/lib/*.la
	rm -vf debian/tmp/usr/lib/activemq_cpp_plugin.a
	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mkdir -p debian/$(p_base)/usr/share/doc
	mkdir -p debian/$(p_dbg)/usr/share/doc
	mv debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.8 debian/$(p_base)/usr/share/doc/$(p_base)
	rm -f debian/$(p_base)/usr/share/doc/$(p_base)/LICENSE
	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs project/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=$(p_dbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-logger-msg 1.2.10

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	examples/*.cpp \
 	project/il.conf \
 	src/*.cpp src/msg-* \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=src/msg-brokers
 
 VERSION=-DVERSION=\"GLite-${version}\"
@@ -90,6 +90,12 @@
 default_flavour=_${nothrflavour}
 endif
 
+ifeq ($(os_type),debian)
+sysdefaultdir=${sysconfdir}/default
+else
+sysdefaultdir=${sysconfdir}/sysconfig
+endif
+
 all compile: ${PLUGIN_LIB} ${EXAMPLES} ${SCRIPTS}
 
 ${PLUGIN_LIB}: ${PLUGIN_LOBJS}
@@ -122,26 +128,24 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/cron.d
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	${INSTALL} -m 644 ${top_srcdir}/config/msg.conf.example ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 755 ${PLUGIN_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 755 ${EXAMPLES} ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
-	${INSTALL} -m 644 ${top_srcdir}/config/msg.conf.example ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	${INSTALL} -m 755 ${top_srcdir}/src/msg-brokers ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-brokers
 	${INSTALL} -m 755 msg-config.new ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-config
-	${INSTALL} -m 644 msg.cron.new ${DESTDIR}${PREFIX}${sysconfdir}/cron.d/glite-lb-logger-msg.cron
+	${INSTALL} -m 644 msg.cron.new ${DESTDIR}${PREFIX}${sysconfdir}/cron.d/glite-lb-logger-msg
 
 %.lo %.o: %.cpp
 	${COMPILEXX} -c $< -o $@
 
 %.new: %.in
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' $< > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e 's:@defaultdir@:${sysdefaultdir}:g' $< > $@
 
 clean:
 	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES} ${SCRIPTS}
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
-.PHONY: default all compile man stage check install clean distclean dist distcheck
+.PHONY: default all compile man stage check install clean dist distclean distcheck

=== debian/changelog ===
glite-lb-logger-msg (1.2.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.10 debian/$(p_base)/usr/share/doc/$(p_base)
 	rm -f debian/$(p_base)/usr/share/doc/$(p_base)/LICENSE
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)

## glite-lb-logger-msg 1.2.11

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 CC=gcc
 CXX=g++
@@ -101,10 +102,8 @@
 ${PLUGIN_LIB}: ${PLUGIN_LOBJS}
 	${SOLINK} -o $@ ${PLUGIN_LOBJS} ${EXT_LIB} -lglite_lb_common${default_flavour} -lglite_jobid -lglite_lbu_log
 
-${MAN_GZ}: ${MAN}
-	rm -f ${MAN_GZ} ${MAN}
-	cp $? .
-	gzip -f $(notdir $?)
+%.1.gz: %.1
+	gzip -9 -f -c $< > $@
 
 glite-lb-cmsclient: cmsclient.o
 	$(CXX) $< ${EXT_LIB} -o $@
@@ -124,11 +123,11 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	-mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/cron.d
-	${INSTALL} -m 644 ${top_srcdir}/config/msg.conf.example ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	${INSTALL} -m 644 ${top_srcdir}/config/msg.conf.example ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 ${PLUGIN_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 755 ${EXAMPLES} ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
 	${INSTALL} -m 755 ${top_srcdir}/src/msg-brokers ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-brokers

=== debian/changelog ===
glite-lb-logger-msg (1.2.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:54 +0100

=== debian/control ===
--- 
+++ 
@@ -23,5 +23,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-logger-msg (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B logger MSG plugin debugging symbols
+Description: Debugging symbols for gLite L&B logger MSG plugin
  This package contains debugging symbols for gLite L&B logger MSG plugin.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.logger-msg
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.logger-msg
 	touch $@
 
 build: build-arch build-indep
@@ -44,7 +44,7 @@
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-logger-msg-1.2.10 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 	rm -f debian/$(p_base)/usr/share/doc/$(p_base)/LICENSE
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)

## glite-lb-logger-msg 1.2.13

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 SOURCES=\
 	config/msg.* \
+	doc/*.8 \
 	examples/*.cpp \
 	project/il.conf \
 	src/*.cpp src/msg-* \
@@ -57,9 +58,9 @@
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} ${LDFLAGS}
-LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-SOLINK:=libtool --mode=link ${CXX} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}
+SOLINK:=libtool --mode=link ${CXX} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir} -avoid-version
 
 #ifneq (${expat_prefix},/usr)
 #	EXPAT_LIBS:=-L${expat_prefix}/lib
@@ -69,6 +70,8 @@
 #EXT_LIBS:= ${EXPAT_LIBS}
 
 HDRS:=
+
+MAN8:=glite-lb-msg-brokers.8 glite-lb-msg-config.8
 
 COMMON_LIB:=
 
@@ -91,13 +94,11 @@
 default_flavour=_${nothrflavour}
 endif
 
-ifeq ($(os_type),debian)
-sysdefaultdir=${sysconfdir}/default
-else
-sysdefaultdir=${sysconfdir}/sysconfig
-endif
+sysdefaultdir?=${sysconfdir}/default
 
-all compile: ${PLUGIN_LIB} ${EXAMPLES} ${SCRIPTS}
+all: man compile
+
+compile: ${PLUGIN_LIB} ${EXAMPLES} ${SCRIPTS}
 
 ${PLUGIN_LIB}: ${PLUGIN_LOBJS}
 	${SOLINK} -o $@ ${PLUGIN_LOBJS} ${EXT_LIB} -lglite_lb_common${default_flavour} -lglite_jobid -lglite_lbu_log
@@ -106,9 +107,9 @@
 	gzip -9 -f -c $< > $@
 
 glite-lb-cmsclient: cmsclient.o
-	$(CXX) $< ${EXT_LIB} -o $@
+	$(LINKXX) $< ${EXT_LIB} -o $@
 
-man: ${MAN_GZ}
+man: glite-lb-msg-brokers.8
 
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} 
@@ -127,12 +128,14 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/sbin
 	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	-mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/cron.d
+	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	${INSTALL} -m 644 ${top_srcdir}/config/msg.conf.example ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 ${PLUGIN_LIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 755 ${EXAMPLES} ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples
 	${INSTALL} -m 755 ${top_srcdir}/src/msg-brokers ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-brokers
 	${INSTALL} -m 755 msg-config.new ${DESTDIR}${PREFIX}${prefix}/sbin/glite-lb-msg-config
 	${INSTALL} -m 644 msg.cron.new ${DESTDIR}${PREFIX}${sysconfdir}/cron.d/glite-lb-logger-msg
+	${INSTALL} -m 644 glite-lb-msg-brokers.8 ${top_srcdir}/doc/*.8 ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 
 %.lo %.o: %.cpp
 	${COMPILEXX} -c $< -o $@
@@ -143,8 +146,13 @@
 clean:
 	rm -rvf .libs/ *.o *.lo ${PLUGIN_LIB} ${MAN_GZ} ${EXAMPLES} ${SCRIPTS}
 	rm -rvf dist ${package}-*.tar.gz
+	rm -fv glite-lb-msg-brokers.8
 
 distclean:
 	rm -rvf project/changelog Makefile.inc *.spec debian/
 
+glite-lb-msg-brokers.8: msg-brokers
+	perldoc -M Pod::Man $< > $@
+	sed -i 's/^\.TH.*/.TH GLITE-LB-MSG-BROKERS 8 "June 2014" "CESNET" "Logging\&Bookkeeping"/' $@
+
 .PHONY: default all compile man stage check install clean dist distclean distcheck

=== debian/changelog ===
glite-lb-logger-msg (1.2.13-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:53 +0200

=== debian/control ===
Source: glite-lb-logger-msg
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), activemq-cpp-dev, glite-lb-logger-dev, libcppunit-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool-bin, perl-doc, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-logger-msg
Architecture: any
Depends: glite-lb-logger, libnet-ldap-perl, ${shlibs:Depends}, ${misc:Depends}
Description: Plugin for sending notifications to messaging infrastructure
 L&B logger plugin for delivering notification messages to messaging
 infrastructure.

Package: glite-lb-logger-msg-dbg
Section: debug
Architecture: any
Depends: glite-lb-logger-msg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B logger MSG plugin
 L&B logger plugin for delivering notification messages to messaging
 infrastructure.
 .
 This package contains debugging symbols for gLite L&B logger MSG plugin.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-logger-msg
p_dbg=glite-lb-logger-msg-dbg

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --sysdefaultdir=/etc/default --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la
	rm -vf debian/tmp/usr/lib/activemq_cpp_plugin.a
	mkdir -p debian/$(p_base)/usr/share/doc
	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
	rm -f debian/$(p_base)/usr/share/doc/$(p_base)/LICENSE

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_base)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.logger-msg/glite-lb-logger-msg-(.*)\.tar\.gz
